Skip to main content
PATCH
/
api
/
ai_agents
/
{id}
PATCH /api/ai_agents/{id}
curl --request PATCH \
  --url https://api.sippet.ai/api/ai_agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "id": "<string>",
    "attributes": {
      "languages": [
        "<string>"
      ],
      "name": "<string>",
      "published": true,
      "safety_guardrails": "<string>",
      "system_prompt": "<string>",
      "tone": "<string>",
      "voice": "<string>",
      "workflow": {}
    },
    "relationships": {},
    "type": "AiAgent"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "languages": [
        "<string>"
      ],
      "name": "<string>",
      "published": true,
      "workflow": {},
      "safety_guardrails": "<string>",
      "system_prompt": "<string>",
      "tone": "<string>",
      "voice": "<string>"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"AiAgent": "id,name,voice,tone,languages,workflow,system_prompt,safety_guardrails,published"
}

Body

application/vnd.api+json

Request body for the /ai_agents/:id operation on AiAgent resource

data
object
required

Response

Success

data
object

A "Resource object" representing a AiAgent

included
any[]
meta
object